/***************************************************************************
                          kldcop.cpp  -  description
                             -------------------
    begin                : Wed Aug 22 2001
    copyright            : (C) 2001 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Qt includes
#include <qdatastream.h>
#include <qcstring.h>

// KDE includes
#include <kapp.h>

// app includes
#include "kldcop.h"
#include "klcc.h"

KLDcop::KLDcop(QObject* parent, const char* name) : QObject(parent, name),
  DCOPObject("KLCCIface")
{
}

void KLDcop::clientstatusChanged(int status) {
  QByteArray arg;
  QDataStream data(arg, IO_WriteOnly);
  data << status;
  emitDCOPSignal("clientstatus(int)", arg);
}

void KLDcop::lineChanged(int line) {
  QByteArray arg;
  QDataStream data(arg, IO_WriteOnly);
  data << line;
  emitDCOPSignal("linechange(int)", arg);
}

void KLDcop::connectToServer() {
  ((KLCC*) parent())->slotConnect();
}

void KLDcop::disconnectFromServer() {
  ((KLCC*) parent())->slotDisconnect();
}

void KLDcop::online() {
  ((KLCC*) parent())->slotOnline();
}

void KLDcop::offline() {
  ((KLCC*) parent())->slotOffline();
}

void KLDcop::lockLine() {
  ((KLCC*) parent())->slotLock();
}

void KLDcop::toggleNumIsdnChanUsed() {
  ((KLCC*) parent())->slotToggleChan();
}

int KLDcop::getLineNumUsed() {
  return ((KLCC*) parent())->currentLine();
}

#include "kldcop.moc"
