/***************************************************************************
                          klpreferencesdlg.h  -  description
                             -------------------
    begin                : mn mar 4 2002
    copyright            : (C) 2002 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KLPREFERENCESDLG_H
#define KLPREFERENCESDLG_H

// Qt includes
#include <qptrlist.h>

// KDE includes
#include <kdialogbase.h>

// app includes
#include "lcpio/misc.h"

class KLServerSettingsWidget;
class KLLineSettingsWidget;
class KLLookNFeelSettingsWidget;
class QFrame;
class LcpLine;
class KLServerSettings;
class KLLookNFeelSettings;
class QString;

/**
  *@author Peter Simonsson
  */

class KLPreferencesDlg : public KDialogBase  {
  Q_OBJECT
  public:
    KLPreferencesDlg(QWidget *parent=0, const char *name=0);
    ~KLPreferencesDlg();
    /**
     * adds lines to the dialog. Always add the default line first!
     * @param line line to add.
     */
    void addLine(LcpLine line);
    /**
     * gets the a line from the dialog.
     * @param num number of the line to get. Lines is ordered by addition
     * starting with 0.
     * @param line the actual line
     */
    void getLine(int num, LcpLine& line);
    void addServerSettings(KLServerSettings settings);
    void addLookNFeelSettings(KLLookNFeelSettings settings);
    void getServerSettings(KLServerSettings& settings);
    void getLookNFeelSettings(KLLookNFeelSettings& settings);
  protected: // Variables //
    // Dialogpages
    KLServerSettingsWidget* m_serverWidget;
    KLLookNFeelSettingsWidget* m_lookNFeelWidget;
    KLLineSettingsWidget* m_lineWidget;
    QFrame* m_serverPage;
    QFrame* m_lookNFeelPage;
    QFrame* m_linePage;

    struct ListPost {
      bool useDefault;
      LCPIO::OfflineInfo offlineInfo;
      LCPIO::CostInfo costInfo;
      bool useTwoChan;
      bool onlineScriptActive;
      bool offlineScriptActive;
      QString onlineScript;
      QString offlineScript;
    };

    QPtrList<ListPost> m_lineList;
    int m_currentLine;
  protected slots:
    void slotDefault();
    void changeLineDisp(int line);
    void saveValuesToLine(int line);
    void loadValuesFromLine(int line);
    void changeLineUI();
};

#endif
