/***************************************************************************
                          klview.h  -  description
                             -------------------
    begin                : Thu Mar 8 2001
    copyright            : (C) 2001 by
    email                :
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KLVIEW_H
#define KLVIEW_H

// Qt includes
#include <qstring.h>

// KDE includes
//#include <klocale.h>

// App includes
#include "klmainview.h"
#include "lcpio/lcp3.h"

/**
  *@author Peter Simonsson
  */

class KLView : public KLMainView {
  Q_OBJECT
  public:
    KLView(QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
    ~KLView();
    bool getCostCalculationActive() const;
  protected:
    /** should the cost be calculated or not */
    bool doCalculateCost;
    /** localization data */
    KLocale* locale;
    /** are we using two isdn channels */
    bool twoChan;
  public slots:
    /**
     * Update info about the line
     * @param info info about the line in use
     * @param costClient cost for client
     * @param costLine cost for line
     */
    void setInfo(/*struct*/ t_lcp3_info_tput info, double costClient, double costLine);
    /**
     * Set current clientstatus
     * @param status new status to be set
     */
    void setClientstatus(int status);
    /**
     * Set current linestatus
     * @param status new status to be set
     */
    void setLinestatus(int status);
    /**
     * Set which used
     * @param name name of line used
     */
    void setLinename(const QString &name);
    /**
     * Set costcalculation parameters
     * @param use if costcalculation is active
     * @param costPerMinute minutetax
     */
    void setCostCalculationActive(bool use = false);
    /**
     * Set if we use two isdn channels
     * @param use if two is active
     */
    void setTwoChan(bool use = false);
};

#endif
