/***************************************************************************
                          misc.cpp  -  description
                             -------------------
    begin                : Fri Jun 8 2001
    copyright            : (C) 2001 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Qt includes
#include <qdatetime.h>
#include <qstringlist.h>

// KDE includes
#include <kglobal.h>
#include <klocale.h>

// App includes
#include "misc.h"

QString LCPIO::formatTime(unsigned int secs) {
  unsigned int h, m, s;

  h = secs / 3600;
  m = (secs % 3600) / 60;
  s = (secs % 3600) % 60;

  QString time;
  time.sprintf("%02d:%02d:%02d", h, m, s);
  return time;
}

QString LCPIO::formatDate(QString year, QString mon, QString day)
{
	QStringList months;
	months << "Jan" << "Feb" << "Mar" << "Apr" << "May" << "Jun" << "Jul" <<
		"Aug" << "Sep" << "Oct" << "Nov" << "Dec";
	int m = months.findIndex(mon) + 1;
	return KGlobal::locale()->formatDate(QDate(year.toInt(), m, day.toInt()));
}
