/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : fre mar  9 20:53:57 CET 2001
    copyright            : (C) 2001 by Peter Simonsson
    email                : psn@linux.se
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// KDE includes
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <dcopclient.h>

// App includes
#include "klcc.h"

static const char *description =
	I18N_NOOP("LineControl Client for KDE");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE

static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  KAboutData aboutData("klcc", I18N_NOOP("KLCC"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2004, the KLCC team", 0,
    "http://linecontrol.sourceforge.net/", "psn@linux.se");
  aboutData.addAuthor("Stefan Gehn", I18N_NOOP("Maintainer"), "metz@gehn.net");
  aboutData.addAuthor("Peter Simonsson", I18N_NOOP("Former Maintainer"), "psn@linux.se");
  aboutData.addAuthor("Eric Müller", I18N_NOOP("GUI layout, icons"), "tlv@gmx.net");
  aboutData.addCredit("Stefan Fuchs", I18N_NOOP("Some LCP code"), "sfuchs@gmx.net");
  aboutData.addCredit("Kévin Ottens", I18N_NOOP("Bug fix"), "ervin@tuxfamily.org");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;

// Broken on request from Eric M.
//  if(a.isRestored()) {
//    RESTORE(KLCC);
//  } else {
    KLCC *klcc = new KLCC(0, "KLCCMainWindow");
    a.setMainWidget(klcc);
//  }

  return a.exec();
}
